# Sylius\AdjustmentApi

Resource &#39;Adjustment&#39; operations.

All URIs are relative to http://localhost, except if the operation defines another base path.

| Method | HTTP request | Description |
| ------------- | ------------- | ------------- |
| [**syliusApiAdminAdjustmentGet()**](AdjustmentApi.md#syliusApiAdminAdjustmentGet) | **GET** /api/v2/admin/adjustments/{id} | Retrieves a Adjustment resource. |
| [**syliusApiAdminOrderAdjustmentGetCollection()**](AdjustmentApi.md#syliusApiAdminOrderAdjustmentGetCollection) | **GET** /api/v2/admin/orders/{tokenValue}/adjustments | Retrieves the collection of Adjustment resources. |
| [**syliusApiAdminOrderItemAdjustmentGetCollection()**](AdjustmentApi.md#syliusApiAdminOrderItemAdjustmentGetCollection) | **GET** /api/v2/admin/order-items/{id}/adjustments | Retrieves the collection of Adjustment resources. |
| [**syliusApiAdminOrderItemUnitAdjustmentGetCollection()**](AdjustmentApi.md#syliusApiAdminOrderItemUnitAdjustmentGetCollection) | **GET** /api/v2/admin/order-item-units/{id}/adjustments | Retrieves the collection of Adjustment resources. |
| [**syliusApiAdminShipmentAdjustmentGetCollection()**](AdjustmentApi.md#syliusApiAdminShipmentAdjustmentGetCollection) | **GET** /api/v2/admin/shipments/{id}/adjustments | Retrieves the collection of Adjustment resources. |
| [**syliusApiShopOrderAdjustmentGetCollection()**](AdjustmentApi.md#syliusApiShopOrderAdjustmentGetCollection) | **GET** /api/v2/shop/orders/{tokenValue}/adjustments | Retrieves the collection of Adjustment resources. |
| [**syliusApiShopOrderOrderItemAdjustmentGetCollection()**](AdjustmentApi.md#syliusApiShopOrderOrderItemAdjustmentGetCollection) | **GET** /api/v2/shop/orders/{tokenValue}/items/{id}/adjustments | Retrieves the collection of Adjustment resources. |


## `syliusApiAdminAdjustmentGet()`

```php
syliusApiAdminAdjustmentGet($id, $accept_language): \Sylius\Model\AdjustmentJsonldSyliusAdminAdjustmentShow
```

Retrieves a Adjustment resource.

Retrieves a Adjustment resource.

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure Bearer (JWT) authorization: JWT
$config = Sylius\Configuration::getDefaultConfiguration()->setAccessToken('YOUR_ACCESS_TOKEN');


$apiInstance = new Sylius\Api\AdjustmentApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$id = 'id_example'; // string | Adjustment identifier
$accept_language = 'accept_language_example'; // string | Locales in this enum are all locales defined in the shop and only enabled ones will work in the given channel in the shop.

try {
    $result = $apiInstance->syliusApiAdminAdjustmentGet($id, $accept_language);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling AdjustmentApi->syliusApiAdminAdjustmentGet: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **id** | **string**| Adjustment identifier | |
| **accept_language** | **string**| Locales in this enum are all locales defined in the shop and only enabled ones will work in the given channel in the shop. | [optional] |

### Return type

[**\Sylius\Model\AdjustmentJsonldSyliusAdminAdjustmentShow**](../Model/AdjustmentJsonldSyliusAdminAdjustmentShow.md)

### Authorization

[JWT](../../README.md#JWT)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/ld+json`, `application/json`, `application/problem+json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `syliusApiAdminOrderAdjustmentGetCollection()`

```php
syliusApiAdminOrderAdjustmentGetCollection($token_value, $page, $items_per_page, $type, $accept_language): \Sylius\Model\SyliusApiAdminOrderAdjustmentGetCollection200Response
```

Retrieves the collection of Adjustment resources.

Retrieves the collection of Adjustment resources.

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure Bearer (JWT) authorization: JWT
$config = Sylius\Configuration::getDefaultConfiguration()->setAccessToken('YOUR_ACCESS_TOKEN');


$apiInstance = new Sylius\Api\AdjustmentApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$token_value = 'token_value_example'; // string | Adjustment identifier
$page = 1; // int | The collection page number
$items_per_page = 30; // int | The number of items per page
$type = 'type_example'; // string | Adjustment type
$accept_language = 'accept_language_example'; // string | Locales in this enum are all locales defined in the shop and only enabled ones will work in the given channel in the shop.

try {
    $result = $apiInstance->syliusApiAdminOrderAdjustmentGetCollection($token_value, $page, $items_per_page, $type, $accept_language);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling AdjustmentApi->syliusApiAdminOrderAdjustmentGetCollection: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **token_value** | **string**| Adjustment identifier | |
| **page** | **int**| The collection page number | [optional] [default to 1] |
| **items_per_page** | **int**| The number of items per page | [optional] [default to 30] |
| **type** | **string**| Adjustment type | [optional] |
| **accept_language** | **string**| Locales in this enum are all locales defined in the shop and only enabled ones will work in the given channel in the shop. | [optional] |

### Return type

[**\Sylius\Model\SyliusApiAdminOrderAdjustmentGetCollection200Response**](../Model/SyliusApiAdminOrderAdjustmentGetCollection200Response.md)

### Authorization

[JWT](../../README.md#JWT)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/ld+json`, `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `syliusApiAdminOrderItemAdjustmentGetCollection()`

```php
syliusApiAdminOrderItemAdjustmentGetCollection($id, $page, $items_per_page, $type, $accept_language): \Sylius\Model\SyliusApiAdminOrderItemAdjustmentGetCollection200Response
```

Retrieves the collection of Adjustment resources.

Retrieves the collection of Adjustment resources.

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure Bearer (JWT) authorization: JWT
$config = Sylius\Configuration::getDefaultConfiguration()->setAccessToken('YOUR_ACCESS_TOKEN');


$apiInstance = new Sylius\Api\AdjustmentApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$id = 'id_example'; // string | Adjustment identifier
$page = 1; // int | The collection page number
$items_per_page = 30; // int | The number of items per page
$type = 'type_example'; // string | Adjustment type
$accept_language = 'accept_language_example'; // string | Locales in this enum are all locales defined in the shop and only enabled ones will work in the given channel in the shop.

try {
    $result = $apiInstance->syliusApiAdminOrderItemAdjustmentGetCollection($id, $page, $items_per_page, $type, $accept_language);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling AdjustmentApi->syliusApiAdminOrderItemAdjustmentGetCollection: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **id** | **string**| Adjustment identifier | |
| **page** | **int**| The collection page number | [optional] [default to 1] |
| **items_per_page** | **int**| The number of items per page | [optional] [default to 30] |
| **type** | **string**| Adjustment type | [optional] |
| **accept_language** | **string**| Locales in this enum are all locales defined in the shop and only enabled ones will work in the given channel in the shop. | [optional] |

### Return type

[**\Sylius\Model\SyliusApiAdminOrderItemAdjustmentGetCollection200Response**](../Model/SyliusApiAdminOrderItemAdjustmentGetCollection200Response.md)

### Authorization

[JWT](../../README.md#JWT)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/ld+json`, `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `syliusApiAdminOrderItemUnitAdjustmentGetCollection()`

```php
syliusApiAdminOrderItemUnitAdjustmentGetCollection($id, $page, $items_per_page, $accept_language): \Sylius\Model\SyliusApiAdminOrderItemUnitAdjustmentGetCollection200Response
```

Retrieves the collection of Adjustment resources.

Retrieves the collection of Adjustment resources.

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure Bearer (JWT) authorization: JWT
$config = Sylius\Configuration::getDefaultConfiguration()->setAccessToken('YOUR_ACCESS_TOKEN');


$apiInstance = new Sylius\Api\AdjustmentApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$id = 'id_example'; // string | Adjustment identifier
$page = 1; // int | The collection page number
$items_per_page = 30; // int | The number of items per page
$accept_language = 'accept_language_example'; // string | Locales in this enum are all locales defined in the shop and only enabled ones will work in the given channel in the shop.

try {
    $result = $apiInstance->syliusApiAdminOrderItemUnitAdjustmentGetCollection($id, $page, $items_per_page, $accept_language);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling AdjustmentApi->syliusApiAdminOrderItemUnitAdjustmentGetCollection: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **id** | **string**| Adjustment identifier | |
| **page** | **int**| The collection page number | [optional] [default to 1] |
| **items_per_page** | **int**| The number of items per page | [optional] [default to 30] |
| **accept_language** | **string**| Locales in this enum are all locales defined in the shop and only enabled ones will work in the given channel in the shop. | [optional] |

### Return type

[**\Sylius\Model\SyliusApiAdminOrderItemUnitAdjustmentGetCollection200Response**](../Model/SyliusApiAdminOrderItemUnitAdjustmentGetCollection200Response.md)

### Authorization

[JWT](../../README.md#JWT)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/ld+json`, `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `syliusApiAdminShipmentAdjustmentGetCollection()`

```php
syliusApiAdminShipmentAdjustmentGetCollection($id, $page, $items_per_page, $accept_language): \Sylius\Model\SyliusApiAdminShipmentAdjustmentGetCollection200Response
```

Retrieves the collection of Adjustment resources.

Retrieves the collection of Adjustment resources.

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure Bearer (JWT) authorization: JWT
$config = Sylius\Configuration::getDefaultConfiguration()->setAccessToken('YOUR_ACCESS_TOKEN');


$apiInstance = new Sylius\Api\AdjustmentApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$id = 'id_example'; // string | Adjustment identifier
$page = 1; // int | The collection page number
$items_per_page = 30; // int | The number of items per page
$accept_language = 'accept_language_example'; // string | Locales in this enum are all locales defined in the shop and only enabled ones will work in the given channel in the shop.

try {
    $result = $apiInstance->syliusApiAdminShipmentAdjustmentGetCollection($id, $page, $items_per_page, $accept_language);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling AdjustmentApi->syliusApiAdminShipmentAdjustmentGetCollection: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **id** | **string**| Adjustment identifier | |
| **page** | **int**| The collection page number | [optional] [default to 1] |
| **items_per_page** | **int**| The number of items per page | [optional] [default to 30] |
| **accept_language** | **string**| Locales in this enum are all locales defined in the shop and only enabled ones will work in the given channel in the shop. | [optional] |

### Return type

[**\Sylius\Model\SyliusApiAdminShipmentAdjustmentGetCollection200Response**](../Model/SyliusApiAdminShipmentAdjustmentGetCollection200Response.md)

### Authorization

[JWT](../../README.md#JWT)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/ld+json`, `application/json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `syliusApiShopOrderAdjustmentGetCollection()`

```php
syliusApiShopOrderAdjustmentGetCollection($token_value, $page, $items_per_page, $type, $accept_language): \Sylius\Model\SyliusApiShopOrderAdjustmentGetCollection200Response
```

Retrieves the collection of Adjustment resources.

Retrieves the collection of Adjustment resources.

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure Bearer (JWT) authorization: JWT
$config = Sylius\Configuration::getDefaultConfiguration()->setAccessToken('YOUR_ACCESS_TOKEN');


$apiInstance = new Sylius\Api\AdjustmentApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$token_value = 'token_value_example'; // string | Adjustment identifier
$page = 1; // int | The collection page number
$items_per_page = 30; // int | The number of items per page
$type = 'type_example'; // string | Adjustment type
$accept_language = 'accept_language_example'; // string | Locales in this enum are all locales defined in the shop and only enabled ones will work in the given channel in the shop.

try {
    $result = $apiInstance->syliusApiShopOrderAdjustmentGetCollection($token_value, $page, $items_per_page, $type, $accept_language);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling AdjustmentApi->syliusApiShopOrderAdjustmentGetCollection: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **token_value** | **string**| Adjustment identifier | |
| **page** | **int**| The collection page number | [optional] [default to 1] |
| **items_per_page** | **int**| The number of items per page | [optional] [default to 30] |
| **type** | **string**| Adjustment type | [optional] |
| **accept_language** | **string**| Locales in this enum are all locales defined in the shop and only enabled ones will work in the given channel in the shop. | [optional] |

### Return type

[**\Sylius\Model\SyliusApiShopOrderAdjustmentGetCollection200Response**](../Model/SyliusApiShopOrderAdjustmentGetCollection200Response.md)

### Authorization

[JWT](../../README.md#JWT)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/ld+json`, `application/json`, `application/problem+json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)

## `syliusApiShopOrderOrderItemAdjustmentGetCollection()`

```php
syliusApiShopOrderOrderItemAdjustmentGetCollection($id, $token_value, $page, $items_per_page, $type, $accept_language): \Sylius\Model\SyliusApiShopOrderAdjustmentGetCollection200Response
```

Retrieves the collection of Adjustment resources.

Retrieves the collection of Adjustment resources.

### Example

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');


// Configure Bearer (JWT) authorization: JWT
$config = Sylius\Configuration::getDefaultConfiguration()->setAccessToken('YOUR_ACCESS_TOKEN');


$apiInstance = new Sylius\Api\AdjustmentApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);
$id = 'id_example'; // string | Adjustment identifier
$token_value = 'token_value_example'; // string | Adjustment identifier
$page = 1; // int | The collection page number
$items_per_page = 30; // int | The number of items per page
$type = 'type_example'; // string | Adjustment type
$accept_language = 'accept_language_example'; // string | Locales in this enum are all locales defined in the shop and only enabled ones will work in the given channel in the shop.

try {
    $result = $apiInstance->syliusApiShopOrderOrderItemAdjustmentGetCollection($id, $token_value, $page, $items_per_page, $type, $accept_language);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling AdjustmentApi->syliusApiShopOrderOrderItemAdjustmentGetCollection: ', $e->getMessage(), PHP_EOL;
}
```

### Parameters

| Name | Type | Description  | Notes |
| ------------- | ------------- | ------------- | ------------- |
| **id** | **string**| Adjustment identifier | |
| **token_value** | **string**| Adjustment identifier | |
| **page** | **int**| The collection page number | [optional] [default to 1] |
| **items_per_page** | **int**| The number of items per page | [optional] [default to 30] |
| **type** | **string**| Adjustment type | [optional] |
| **accept_language** | **string**| Locales in this enum are all locales defined in the shop and only enabled ones will work in the given channel in the shop. | [optional] |

### Return type

[**\Sylius\Model\SyliusApiShopOrderAdjustmentGetCollection200Response**](../Model/SyliusApiShopOrderAdjustmentGetCollection200Response.md)

### Authorization

[JWT](../../README.md#JWT)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: `application/ld+json`, `application/json`, `application/problem+json`

[[Back to top]](#) [[Back to API list]](../../README.md#endpoints)
[[Back to Model list]](../../README.md#models)
[[Back to README]](../../README.md)
